--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A parser that succeeds when there's no input available.
full_name: RParsec::Parsers#eof
is_singleton: false
name: eof
params: (expected="EOF expected")
visibility: public
